Subject: [P2PSIP] List of implementations (was Re: Cullen Lying)

From: "David A. Bryan" <[email-masked]>
Date: Thu, 20 Mar 2008 14:15:19 -0400

We've put up the list of the implementations mentioned here or that I
know if, open source or commercial, along with the drafts I believe
they implement at P2PSIP.org:

http://www.p2psip.org/implementations.php

I'll post others that folks want to point us at. Send me any
corrections about the drafts implemented as well (we're skipping draft
rev numbers to keep it a bit easier for us to track, but if we have
the wrong drafts let us know)

Thanks.

David

On Thu, Mar 20, 2008 at 9:05 AM, David A. Bryan <[email-masked]> wrote:
> I think I can help with the problem of pointers to the work...
>
>  If you have an open source project that has a P2PSIP implementation
>  (an implementation of some draft -- current or past that was presented
>  in this WG), please send me a link and I'll put it on P2PSIP.org.
>  Also, if you have a commercially available project (something that can
>  be purchased) that implements a draft from this WG, send me the link,
>  and I'll list those in a different section on the same page. That way,
>  we'll have a record of available implementations. Just make sure it is
>  for something presented in the WG -- not just an open source
>  implementation of a DHT (I know all the ones discussed so far in this
>  email thread are of drafts in this WG, so everything mentioned so far
>  is the kind of thing I do want to link from there)
>
>  David
>
>
>
>
>  On Thu, Mar 20, 2008 at 7:39 AM, Cullen Jennings <[email-masked]> wrote:
>  >
>  >
>  >  On Mar 20, 2008, at 3:48 AM, Enrico Marocco wrote:
>  >
>  >  > Cullen Jennings wrote:
>  >  >> Henry, I don't know what I can do to convince you I am not lying. I
>  >  >> have said many times that there are other open source implementations
>  >  >> of P2P SIP proposals in addition to the fine work from Columbia.
>  >  >> Cisco
>  >  >> has open source one that I have helped with. You can get it yourself
>  >  >> from the b-20070702-p2p branch of the resiprocate.org site. Or browse
>  >  >> the code at http://svn.resiprocate.org/rep/resiprocate/branches/b-20070702-p2p/
>  >  >>  . It is under a BSD like license. This was provided as open source
>  >  >> for the general public on September 17, 2007 which I suspect was
>  >  >> actually before any others were publicly available. I announced that
>  >  >> this existed at the microphone in one of the p2psip adhocs. I have
>  >  >> told you this several times in person. It upsets me when you say this
>  >  >> does not exist. I really don't know what to say.
>  >  >
>  >  > For some reasons I don't undestand, people tend to forget about
>  >  > projects
>  >  > they are not directly involved in.  Guess what, we have had the SIPDHT
>  >  > project running on sourceforge since May '05, providing firstly a
>  >  > working implementation of initial David's drafts and then, from July
>  >  > '07, a full implementation of XPP and XPP-PCAN; no matter how many
>  >  > times
>  >  > we have pointed it out, during live meetings and on this list too,
>  >  > people keep ignoring it.  But, Cullen, please, don't get upset: I'm
>  >  > sure
>  >  > they are not lying, they are just "forgetting".
>  >  >
>  >  > --
>  >  > Ciao,
>  >  > Enrico
>  >
>  >  Makes sense and a good perspective. I'll go with that explanation - I
>  >  certainly like it better than the alternative explanations.
>  >
>  >  Now, if only we could have a web page that pointed at all of the
>  >  work :-)
>  >
>  >  Thanks, Cullen
>  >
>  >
>  >
>  >
>  >  _______________________________________________
>  >  P2PSIP mailing list
>  >  [email-masked]
>  >  https://www.ietf.org/mailman/listinfo/p2psip
>  >
>
>
>
>  --
>  David A. Bryan
>  [email-masked]
>  +1.757.565.0101 x101
>  +1.757.565.0088 (fax)
>  www.SIPeerior.com
>

-- 
David A. Bryan
[email-masked]
+1.757.565.0101 x101
+1.757.565.0088 (fax)
www.SIPeerior.com
_______________________________________________
P2PSIP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2psip

---

From: Dan York <[email-masked]>
Date: Tue, 25 Mar 2008 15:49:56 -0400

David,

> http://www.p2psip.org/implementations.php

Thanks for doing this.  It's interesting to see the range of software  
already out there.  Kudos to the SIPDHT2 team, too, for putting up  
some videos/screencasts showing how their software works.  (on http:// 
sipdht.sourceforge.net/sipdht2/index.html )

Good stuff,
Dan

-- 
Dan York, CISSP, Director of Emerging Communication Technology
Office of the CTO    Voxeo Corporation     [email-masked]
Phone: +1-407-455-5859  Skype: danyork  http://www.voxeo.com
Blogs: http://blogs.voxeo.com  http://www.disruptivetelephony.com

Build voice applications based on open standards.
Find out how at http://www.voxeo.com/free

---

From: "David A. Bryan" <[email-masked]>
Date: Tue, 25 Mar 2008 16:00:34 -0400

Thanks Dan. Glad you enjoy it.

We'll put some text up on the page saying this too, but let me remind
folks if there are any implementation that I missed, send me an email
and I'll put it up on the page. Thanks.

David

On Tue, Mar 25, 2008 at 3:49 PM, Dan York <[email-masked]> wrote:
> already out there.  Kudos to the SIPDHT2 team, too, for putting up some
> videos/screencasts showing how their software works.  (on
> http://sipdht.sourceforge.net/sipdht2/index.html )
>
> Good stuff,
> Dan
>
>
>
> --

---

From: "Henry Sinnreich" <[email-masked]>
Date: Tue, 25 Mar 2008 16:50:09 -0700

> Good stuff,

I agree. The http://sipdht.sourceforge.net/sipdht2/index.html#
<http://sipdht.sourceforge.net/sipdht2/index.html>  video is a role
model for presenting the p2p implementation and we may want to find time
to discuss at the 72 IETF the various proposals based on a list of
features each has and based on measurements as well, as shown for P2PP.
See http://www1.cs.columbia.edu/~salman/peer/ 

(I could not find the Nokia report with the call setup delay graphics
from the P2PP demo on handsets).

Could something like this be accommodated in the WG agenda or elsewhere
during the 72 IETF?

Henry

________________________________

From: Dan York [mailto:[email-masked]] 
Sent: Tuesday, March 25, 2008 9:50 AM
To: David A. Bryan
Cc: Cullen Jennings; Henry Sinnreich; Jon Peterson; P2PSIP Mailing List
Subject: Re: [P2PSIP] List of implementations 

David,

Good stuff,

Dan

--